Get a list of items

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/businessOrganization/v1/items

This API endpoint returns paginated lists of items. Data is sorted alphabetically by itemCode. Pagination is fixed at 200 objects per page. An empty response indicates the final page.

Rate limit range : Low

Query parameters

  • continuationToken string

    The continuation token which was received in the previous request. It contains information on the page to fetch. If not present, then the first page of results will be returned.

Responses

  • 200 application/json

    A list of items.

    Hide response attributes Show response attributes object
    • continuationToken string | null

      Token that holds pagination information. Only sent if there are still pages of items to be loaded.

    • data array[object] Required

      The list of items.

      Hide data attributes Show data attributes object

      An item object.

      • itemCode string Required

        Item code. Case insensitive.

        Maximum length is 256.

      • name string Required

        Item name.

        Maximum length is 10000.

      • reference string | null

        Item internal reference code (for catalog search purpose).

        Maximum length is 10000.

      • itemCategoryCode string Required

        Item's category code.

        Maximum length is 256.

      • description string | null

        Item detailled description.

        Maximum length is 10000.

      • barCode string | null

        Item barcode value associated with the item (for catalog search purpose).

        Maximum length is 100.

      • manufacturer string | null

        Item's manufacturer.

        Maximum length is 100.

      • dimensions integer Required

        Indicates how many dimensions the item has (length x width x height).

        Values are 1, 2, or 3.

      • attributes object Required
        Hide attributes attributes Show attributes attributes object
        • isGeneric boolean

          Indicates if the item is a generic type.

        • isParentItem boolean

          Indicates if the item is a parent item.

        • hasFixedQuantity boolean

          Indicates that the item is actually a prestation with a negociated price (quantity fixed to 1).

        • availableOnMobile boolean

          Indicates if the item is available on the mobile app.

      • tracking object Required

        Details about how the item is tracked.

        Hide tracking attributes Show tracking attributes object
        • trackedInStock boolean

          Indicates that item availability is tracked in field resource's stock. Only available if stock management is activated.

        • serialNumberFormat string | null

          Regular expression that defines the structure of the item's tracking number. If absent, then items are not tracked by serial number.

          Maximum length is 100.

      • billingParameters object Required

        Pricing information and invoicing details.

        Hide billingParameters attributes Show billingParameters attributes object
        • priceDetails object
          Hide priceDetails attributes Show priceDetails attributes object
          • unitPrice number Required

            Item price.

          • vatRates array[number] | null

            Tax rates applicable to the item.

            Minimum value of each is 0, maximum value of each is 0.99999.

          • displayPriceOnMobile boolean

            Specifies whether the price should be displayed on mobile devices. For this option to work, the item must be available on mobile.

          • displayPriceOnWeb string

            Whether the price is displayed for web users.

            Values are ALWAYS or BY_PROFILE.

        • invoiceMode string Required

          The type of invoicing (if the item belong to your company or not).

          Values are INTERNAL or EXTERNAL.

      • customFields object

        Map of custom fields of an item.

      • lastUpdate string(date-time) Required

        Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API.

  • 400 application/json

    Bad Request - invalid continuation token.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/businessOrganization/v1/items
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/businessOrganization/v1/items' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "continuationToken": "c2FqZGhmYmtrMzQ1YiBrZiA5MyBrYmdrcTg3MjMgazg5bm4gICAwNCAgbmVpcnQ4NzkzbiBnb3A4NA==",
  "data": [
    {
      "itemCode": "WMOUSE_324",
      "name": "Wireless mouse",
      "reference": 21348146,
      "itemCategoryCode": "PHERIPHERICS",
      "description": "Wireless mouse for PCs",
      "barCode": "032160165400",
      "manufacturer": "Asus",
      "dimensions": 1,
      "attributes": {
        "isGeneric": true,
        "isParentItem": false,
        "hasFixedQuantity": true,
        "availableOnMobile": true
      },
      "tracking": {
        "trackedInStock": true,
        "serialNumberFormat": null
      },
      "billingParameters": {
        "priceDetails": {
          "unitPrice": 22.9,
          "vatRates": [
            0.09,
            0.12,
            0.19
          ],
          "displayPriceOnMobile": true,
          "displayPriceOnWeb": "ALWAYS"
        },
        "invoiceMode": "EXTERNAL"
      },
      "customFields": {
        "WARRANTY": {
          "textValue": "24 months"
        },
        "REFURBISHED": {
          "booleanValue": false
        },
        "SUPPLIER_LINK": {
          "urlValue": "https://www.logitech.com"
        }
      },
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "itemCode": "KEYBOARD_012",
      "name": "Gaming keyboard",
      "reference": null,
      "itemCategoryCode": "PHERIPHERICS",
      "description": null,
      "manufacturer": "Asus",
      "barCode": null,
      "dimensions": 3,
      "attributes": {
        "isGeneric": false,
        "isParentItem": false,
        "isFixedQuantity": true,
        "isAvailableOnMobileDevices": true
      },
      "tracking": {
        "trackedInStock": true,
        "serialNumberFormat": "^SN2024-ALPHA-[0-9]{5}$"
      },
      "billingParameters": {
        "priceDetails": null,
        "invoiceMode": "INTERNAL"
      },
      "lastUpdate": "2025-10-12 09:00:00 UTC"
    }
  ]
}
{
  "continuationToken": null,
  "data": [
    {
      "itemCode": "USB_STICK_32GB",
      "name": "USB Stick",
      "reference": null,
      "itemCategoryCode": "PHERIPHERICS",
      "description": "USB Stick with 32 GB RAM",
      "barCode": "34756834569",
      "manufacturer": "LG",
      "dimensions": 1,
      "attributes": {
        "isGeneric": false,
        "isParentItem": false,
        "hasFixedQuantity": false,
        "availableOnMobile": true
      },
      "tracking": {
        "trackedInStock": false,
        "serialNumberFormat": "^[A-Z]{3}-[0-9]{3}-[A-Z]{3}&"
      },
      "billingParameters": {
        "priceDetails": false,
        "invoiceMode": "INTERNAL"
      },
      "lastUpdate": "2025-11-19 15:00:50 UTC"
    }
  ]
}
{
  "continuationToken": null,
  "data": []
}
Response examples (400)
{
  "errors": [
    {
      "code": "referentials.continuationToken.invalid",
      "message": "The provided continuation token does not respect the expected format."
    }
  ],
  "errorReference": "59ddc09a23159395367307ab95b1c41a"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}